# Sanitizer_ResourceStreamData Struct Reference
[Sanitizer Callback API]

Data passed into a stream resource callback function. More...

## Data Fields

CUcontext | context
Sanitizer_StreamHandle | hStream
CUstream | stream

## Detailed Description

Data passed into a stream resource callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_RESOURCE and `cbid` equal to SANITIZER_CBID_RESOURCE_STREAM_CREATED, SANITIZER_CBID_RESOURCE_STREAM_DESTROY_STARTING or SANITIZER_CBID_RESOURCE_STREAM_DESTROY_FINISHED. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_ResourceStreamData::context

The context containing the stream being created or destroyed.